Bug 889926 - Win7 guest fail to format partition during installation
Summary: Win7 guest fail to format partition during installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.0
Assignee: Vadim Rozenfeld
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-24 03:43 UTC by Xu Tian
Modified: 2014-08-12 07:10 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-12 07:10:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (30.47 KB, image/jpeg)
2012-12-24 03:45 UTC, Xu Tian
no flags Details
seabios log (6.84 KB, text/x-log)
2012-12-24 03:46 UTC, Xu Tian
no flags Details
virtual-floppy image (758.53 KB, application/octet-stream)
2012-12-24 03:51 UTC, Xu Tian
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 901358 0 unspecified CLOSED win7 guest BSOD(0X0000007B) when bootup with max number(25) virtio disk 2021-02-22 00:41:40 UTC

Internal Links: 901358

Description Xu Tian 2012-12-24 03:43:39 UTC
Description of problem:

Windows7 guest install fail when format disk partation, windows report error code is:0x80070057; offical explain for this error code is:
You receive error 0x80070057 when you try to clean install Windows 7.
more detials please hint below link:
http://support.microsoft.com/kb/2476568

qemu-img check get blow message:
/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/qemu-img check /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/images/win7-64-virtio-error.qcow2
18323 errors were found on the image.
ata may be corrupted, or further writes to the image may corrupt it.
72 internal errors have occurred during the check. 
An error has occurred during the check: Success
The check is not complete and may have missed error.
ERROR: invalid cluster offset=0x2810b9d80ffc0000
ERROR: invalid cluster offset=0x2810b9d80ffd0000
ERROR offset=2810b9d80ffcf3aa: Cluster is not properly aligned; L2 entry corrupted.
ERROR: cluster 256594257416294: copied flag must never be set for compressed clusters
Warning: cluster offset=0x1f019090660000 is after the end of the image file, can't properly check refcounts.
...
ERROR offset=ca9bed6000055aa: Cluster is not properly aligned; L2 entry corrupted.
ERROR OFLAG_COPIED: l2_offset=8000000006c90000 refcount=0
...
ERROR cluster 124249 refcount=0 reference=1


Version-Release number of selected component (if applicable):


How reproducible:
20% >

Steps to Reproduce:
1. boot guest with command:
/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/qemu 
    -S 
    -name 'vm1' 
    -nodefaults 
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20121218-135923-dSHeN5wu,server,nowait 
    -mon chardev=qmp_id_qmpmonitor1,mode=control 
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20121218-135923-dSHeN5wu,server,nowait 
    -device isa-serial,chardev=serial_id_serial1  
    -chardev socket,id=seabioslog_id_20121218-135923-dSHeN5wu,path=/tmp/seabios-20121218-135923-dSHeN5wu,server,nowait 
    -device isa-debugcon,chardev=seabioslog_id_20121218-135923-dSHeN5wu,iobase=0x402 
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/images/win7-64-virtio.qcow2',if=none,id=drive-virtio-disk1,media=disk,cache=none,boot=off,snapshot=off,format=qcow2,aio=native 
    -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk1,id=virtio-disk1
    -device virtio-net-pci,netdev=ideGCfBH,mac=9a:ff:00:01:02:03,bus=pci.0,addr=0x3,id='idhL0u2q' 
    -netdev tap,id=ideGCfBH,vhost=on,fd=26 
    -m 8192 
    -smp 4,cores=2,threads=1,sockets=2    
    -cpu 'SandyBridge' 
    -M rhel6.4.0 
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/isos/ISO/Windows7/en_windows_7_ultimate_with_sp1_x64_dvd_618240.iso',if=none,id=drive-ide0-0-0,media=cdrom,snapshot=off,format=raw 
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/isos/windows/winutils.iso',if=none,id=drive-ide0-0-1,media=cdrom,snapshot=off,format=raw
    -device ide-drive,bus=ide.0,unit=1,drive=drive-ide0-0-1,id=ide0-0-1 
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/isos/windows/virtio-win.iso',if=none,id=drive-ide0-1-0,media=cdrom,snapshot=off,format=raw
    -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 
    -drive file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/images/win7-64/answer.vfd',if=none,id=fdc0-0-0,media=disk,snapshot=off,readonly=off,format=raw
    -global isa-fdc.driveA=fdc0-0-0 
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 
    -spice port=3000,password=123456,addr=0,tls-port=3200,x509-dir=/tmp/spice_x509d,tls-channel=main,tls-channel=inputs,image-compression=auto_glz,jpeg-wan-compression=auto,zlib-glz-wan-compression=auto,streaming-video=all,agent-mouse=on,playback-compression=on,ipv4 
    -vga qxl 
    -global qxl-vga.vram_size=33554432    
    -rtc base=localtime,clock=host,driftfix=slew  
    -boot order=cdn,once=d,menu=off  
    -enable-kvm

2. wait installation start
3. shutdown guest when error occurent, then check image with:
/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/qemu-img check /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/images/win7-64-virtio-error.qcow2
  
Actual results:

windows 7 guest fail to installed

Expected results:

windows7 guest install normally, and no error in image file


Additional info:
related packages in host
qemu-img-0.12.1.2-2.346.el6.x86_64
qemu-kvm-0.12.1.2-2.346.el6.x86_64
kernel-2.6.32-348.el6.x86_64

Comment 1 Xu Tian 2012-12-24 03:45:10 UTC
Created attachment 668266 [details]
screenshot

screenshot when error happened

Comment 2 Xu Tian 2012-12-24 03:46:42 UTC
Created attachment 668267 [details]
seabios log

seabios log

Comment 3 Xu Tian 2012-12-24 03:51:18 UTC
Created attachment 668268 [details]
virtual-floppy image

virtual floppy image, answer.xml include in this image

Comment 5 Xu Tian 2012-12-24 03:56:59 UTC
(In reply to comment #0)
> Description of problem:
> 
> Windows7 guest install fail when format disk partation, windows report error
> code is:0x80070057; offical explain for this error code is:
> You receive error 0x80070057 when you try to clean install Windows 7.
> more detials please hint below link:
> http://support.microsoft.com/kb/2476568
> 
> qemu-img check get blow message:
> /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/qemu-img check
> /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/images/win7-64-
> virtio-error.qcow2
> 18323 errors were found on the image.
> ata may be corrupted, or further writes to the image may corrupt it.
> 72 internal errors have occurred during the check. 
> An error has occurred during the check: Success
> The check is not complete and may have missed error.
> ERROR: invalid cluster offset=0x2810b9d80ffc0000
> ERROR: invalid cluster offset=0x2810b9d80ffd0000
> ERROR offset=2810b9d80ffcf3aa: Cluster is not properly aligned; L2 entry
> corrupted.
> ERROR: cluster 256594257416294: copied flag must never be set for compressed
> clusters
> Warning: cluster offset=0x1f019090660000 is after the end of the image file,
> can't properly check refcounts.
> ...
> ERROR offset=ca9bed6000055aa: Cluster is not properly aligned; L2 entry
> corrupted.
> ERROR OFLAG_COPIED: l2_offset=8000000006c90000 refcount=0
> ...
> ERROR cluster 124249 refcount=0 reference=1
> 
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 20% >
> 
> Steps to Reproduce:
> 1. boot guest with command:
> /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/qemu 
>     -S 
>     -name 'vm1' 
>     -nodefaults 
>     -chardev
> socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20121218-135923-
> dSHeN5wu,server,nowait 
>     -mon chardev=qmp_id_qmpmonitor1,mode=control 
>     -chardev
> socket,id=serial_id_serial1,path=/tmp/serial-serial1-20121218-135923-
> dSHeN5wu,server,nowait 
>     -device isa-serial,chardev=serial_id_serial1  
>     -chardev
> socket,id=seabioslog_id_20121218-135923-dSHeN5wu,path=/tmp/seabios-20121218-
> 135923-dSHeN5wu,server,nowait 
>     -device
> isa-debugcon,chardev=seabioslog_id_20121218-135923-dSHeN5wu,iobase=0x402 
>     -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 
>     -drive
> file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/images/
> win7-64-virtio.qcow2',if=none,id=drive-virtio-disk1,media=disk,cache=none,
> boot=off,snapshot=off,format=qcow2,aio=native 
>     -device
> virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk1,id=virtio-disk1
>     -device
> virtio-net-pci,netdev=ideGCfBH,mac=9a:ff:00:01:02:03,bus=pci.0,addr=0x3,
> id='idhL0u2q' 
>     -netdev tap,id=ideGCfBH,vhost=on,fd=26 
>     -m 8192 
>     -smp 4,cores=2,threads=1,sockets=2    
>     -cpu 'SandyBridge' 
>     -M rhel6.4.0 
>     -drive
> file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/isos/ISO/
> Windows7/en_windows_7_ultimate_with_sp1_x64_dvd_618240.iso',if=none,id=drive-
> ide0-0-0,media=cdrom,snapshot=off,format=raw 
>     -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0
>     -drive
> file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/isos/
> windows/winutils.iso',if=none,id=drive-ide0-0-1,media=cdrom,snapshot=off,
> format=raw
>     -device ide-drive,bus=ide.0,unit=1,drive=drive-ide0-0-1,id=ide0-0-1 
>     -drive
> file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/isos/
> windows/virtio-win.iso',if=none,id=drive-ide0-1-0,media=cdrom,snapshot=off,
> format=raw
>     -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 
>     -drive
> file='/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/images/
> win7-64/answer.vfd',if=none,id=fdc0-0-0,media=disk,snapshot=off,readonly=off,
> format=raw
>     -global isa-fdc.driveA=fdc0-0-0 
>     -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 
>     -spice
> port=3000,password=123456,addr=0,tls-port=3200,x509-dir=/tmp/spice_x509d,tls-
> channel=main,tls-channel=inputs,image-compression=auto_glz,jpeg-wan-
> compression=auto,zlib-glz-wan-compression=auto,streaming-video=all,agent-
> mouse=on,playback-compression=on,ipv4 
>     -vga qxl 
>     -global qxl-vga.vram_size=33554432    
>     -rtc base=localtime,clock=host,driftfix=slew  
>     -boot order=cdn,once=d,menu=off  
>     -enable-kvm
> 
> 2. wait installation start
> 3. shutdown guest when error occurent, then check image with:
> /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/qemu-img check
> /usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/kvm/images/win7-64-
> virtio-error.qcow2
>   
> Actual results:
> 
> windows 7 guest fail to installed
> 
> Expected results:
> 
> windows7 guest install normally, and no error in image file
> 
> 
> Additional info:
> related packages in host
> qemu-img-0.12.1.2-2.346.el6.x86_64
> qemu-kvm-0.12.1.2-2.346.el6.x86_64
> kernel-2.6.32-348.el6.x86_64

virtio-win-prewhql-0.1-49

Comment 6 RHEL Program Management 2012-12-28 06:47:33 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 7 Mike Cao 2013-01-04 06:45:30 UTC
I can not reproduce this issue manually 
Could you check whether it is a untended install issue ?

Comment 16 Mike Cao 2014-01-06 02:36:08 UTC
Xu ,Did you install guest with answer file ?
If yes I would like you change the DiskConfiguration part as following as retest 
<DiskConfiguration>
			<WillShowUI>OnError</WillShowUI>
			<Disk wcm:action="add">
				<CreatePartitions>
					<CreatePartition wcm:action="add">
						<Order>1</Order>
						<Size>100</Size>
						<Type>Primary</Type>
					</CreatePartition>
					<CreatePartition wcm:action="add">
						<Order>2</Order>
						<Type>Primary</Type>
						<Extend>true</Extend>
					</CreatePartition>
				</CreatePartitions>
				<ModifyPartitions>
					<ModifyPartition wcm:action="add">
						<Format>NTFS</Format>
						<Label>System_Reserved</Label>
						<Order>1</Order>
						<PartitionID>1</PartitionID>
					</ModifyPartition>
					<ModifyPartition wcm:action="add">
						<Format>NTFS</Format>
						<Label>C</Label>
						<Order>2</Order>
						<PartitionID>2</PartitionID>
					</ModifyPartition>
				</ModifyPartitions>
				<DiskID>0</DiskID>
				<WillWipeDisk>true</WillWipeDisk>
			</Disk>
		</DiskConfiguration>

Comment 17 Xu Tian 2014-01-06 02:42:22 UTC
(In reply to Mike Cao from comment #16)
> Xu ,Did you install guest with answer file ?
No, thanks.

> If yes I would like you change the DiskConfiguration part as following as
> retest 
> <DiskConfiguration>
> 			<WillShowUI>OnError</WillShowUI>
> 			<Disk wcm:action="add">
> 				<CreatePartitions>
> 					<CreatePartition wcm:action="add">
> 						<Order>1</Order>
> 						<Size>100</Size>
> 						<Type>Primary</Type>
> 					</CreatePartition>
> 					<CreatePartition wcm:action="add">
> 						<Order>2</Order>
> 						<Type>Primary</Type>
> 						<Extend>true</Extend>
> 					</CreatePartition>
> 				</CreatePartitions>
> 				<ModifyPartitions>
> 					<ModifyPartition wcm:action="add">
> 						<Format>NTFS</Format>
> 						<Label>System_Reserved</Label>
> 						<Order>1</Order>
> 						<PartitionID>1</PartitionID>
> 					</ModifyPartition>
> 					<ModifyPartition wcm:action="add">
> 						<Format>NTFS</Format>
> 						<Label>C</Label>
> 						<Order>2</Order>
> 						<PartitionID>2</PartitionID>
> 					</ModifyPartition>
> 				</ModifyPartitions>
> 				<DiskID>0</DiskID>
> 				<WillWipeDisk>true</WillWipeDisk>
> 			</Disk>
> 		</DiskConfiguration>

do you mean I need to update answer file like above before start my retest?

Comment 18 Mike Cao 2014-01-06 03:33:13 UTC
(In reply to xu from comment #17)
> (In reply to Mike Cao from comment #16)
> > Xu ,Did you install guest with answer file ?
> No, thanks.

> do you mean I need to update answer file like above before start my retest?

I think so ,as windows os always create 100MB reserved unused partition when we install guest manually

Comment 23 Xu Tian 2014-08-12 06:57:23 UTC
Hi Ronen,

installation win7 64bit guest 30 times with virtio-win-prewhql-0.1-89 driver packages, not reproduce the bug.

see job details https://virtlab.englab.nay.redhat.com/job/89756/details/

thanks,
Xu

Comment 24 Ronen Hod 2014-08-12 07:10:25 UTC
(In reply to xu from comment #23)
> Hi Ronen,
> 
> installation win7 64bit guest 30 times with virtio-win-prewhql-0.1-89 driver
> packages, not reproduce the bug.
> 
> see job details https://virtlab.englab.nay.redhat.com/job/89756/details/
> 
> thanks,
> Xu

Thanks a lot, Ronen.
Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.